local L = AceLibrary("AceLocale-2.2"):new("Quartz")
L:RegisterTranslations("frFR", function()
	return {
		["Quartz"] = "Quartz",
		["Latency"] = "Latence",
		["Tradeskill Merge"] = "Regroupement des créations",
		["Global Cooldown"] = "Temps de Recharge Global",
		["Buff"] = "Buff",
		["Target"] = "Cible",
		["Focus"] = "Focus",
		["Player"] = "Joueur",
		["Mirror"] = "Mirroir",
--		["Timer"] = true,
--		["Swing"] = true,
--		["Interrupt"] = true,
--		["Range"] = true,
--		["Flight"] = true,
		
		["GCD"] = "TRG",
		["Tradeskill"] = "RegroupementCréations",
		
		-- Basic shared stuff
--		["Above"] = true,
		["Alpha"] = "Alpha",
		["Background"] = "Fond",
--		["Below"] = true,
		["Border"] = "Bordure",
		["Bottom"] = "Bas",
		["Bottom Left"] = "Bas gauche",
		["Bottom Right"] = "Bas droite",
		["Center"] = "Centre",
		["Colors"] = "Couleurs",
		["Default"] = "Par défaut",
		["Down"] = "Bas",
		["Enable"] = "Activer",
		["Font"] = "Police",
		["Font Size"] = "Taille de la police",
		["Free"] = "Libre",
		["Full Text"] = "Tout le texte",
		["Gap"] = "Saut",
		["Height"] = "Hauteur",
		["Horizontal"] = "Horizontal",
		["Left"] = "Gauche",
		["Left (grow down)"] = "Gauche (vers le bas)",
		["Left (grow up)"] = "Gauche (vers le haut)",
		["None"] = "Aucun",
		["Number"] = "Nombre",
		["Outside"] = "Extérieur",
		["Right"] = "Droite",
		["Right (grow down)"] = "Droite (vers le bas)",
		["Right (grow up)"] = "Droite (vers le heut)",
		["Scale"] = "Echelle",
		["Spacing"] = "Espacement",
		["Texture"] = "Texture",
		["Text Color"] = "Couleur du texte",
		["Top"] = "Haut",
		["Top Left"] = "Haut gauche",
		["Top Right"] = "Haut droit",
		["Up"] = "Haut",
		["Vertical"] = "Vertical",
		["Width"] = "Largeur",
		
		-- Option Names
		
		["Lock"] = "Verrouiller",
		["Hide Icon"] = "Masquer l'icône",
		["Icon Alpha"] = "Transparence de l'icône",
		["Icon Gap"] = "Espacement de l'icône",
		["Name Text Position"] = "Position du nom",
		["Name Text Font Size"] = "Taille du nom",
		["Spell Rank"] = "Rang du sort",
		["Spell Rank Style"] = "Style du rang du sort",
		["Hide Name Text"] = "Masquer le nom",
		["Hide Time Text"] = "Masquer la durée",
		["Time Font Size"] = "Taille de la durée",
		["Time Text Position"] = "Position de la durée",
		["Spell Text"] = "Texte du sort",
		["Time Text"] = "Texte de la durée",
		["Casting"] = "Lancement",
		["Channeling"] = "Canalisation",
		["Complete"] = "Terminé",
		["Failed"] = "Echoué",
		["Spark Color"] = "Couleur de l'étincelle",
		["Background Alpha"] = "Transparence du fond",
		["Border Alpha"] = "Transparence de la bordure",
		["Disable Blizzard Cast Bar"] = "Désactiver la barre d'incantation de Blizzard",
		["Snap to Center"] = "Positionner au centre",
		["Icon Position"] = "Position de l'icone",
		["Text Alignment"] = "Alignement du texte",
--		["Text Position"] = true,
		["Copy Settings From"] = "Copier les settings de",
--		["Cast Start Side"] = true,
--		["Cast End Side"] = true,
--		["Name Text X Offset"] = true,
--		["Name Text Y Offset"] = true,
--		["Time Text X Offset"] = true,
--		["Time Text Y Offset"] = true,
--		["Hide Samwise Icon"] = true,
		
		["Roman"] = "Roman",
		["Roman Full Text"] = "Roman complet",
			--Latency
			["Embed"] = "Intégré",
			["Embed Safety Margin"] = "Marges de sécurité intégrées",
			["Bar Color"] = "Couleur de la barre",
			["Show Text"] = "Afficher le texte",
			--GCD
			["Primary"] = "Principal",
			["Backup"] = "Secours",
			["%s Spell"] = "%s Sort",
			["Bar Position"] = "Position de la barre",
			--Buffs
			["Focus"] = "Focus",
			["Target"] = "Cible",
			["Enable %s"] = "Activer %s",
			["Enable Buffs"] = "Activer les buffs",
			["Enable Debuffs"] = "Activer les débuffs",
			["Position"] = "Position",
			["Offset"] = "Décalage",
			["Show Icons"] = "Afficher les icônes",
			["Buff Bar Width"] = "Largeur de la barre de buffs",
			["Buff Bar Height"] = "Hauteur de la barre de buffs",
			["Buff Name Text"] = "Texte du nom du buff",
			["Buff Time Text"] = "Texte de la durée du buff",
			["Buff Color"] = "Couleur du buff",
			["Debuff Color"] = "Couleur du débuff",
			["Debuffs by Type"] = "Débuffs par types",
			["Undispellable Color"] = "Couleur quand indisipable",
			["Curse Color"] = "Couleur des malédictions",
			["Disease Color"] = "Couleur des maladies",
			["Magic Color"] = "Couleur des magies",
			["Poison Color"] = "Couleur des poisons",
			["Anchor Frame"] = "Ancrage",
			["Grow Direction"] = "Direction d'agrandissement",
			--Mirror
			["Mirror Bar Width"] = "Largeur de la barre mirroir",
			["Mirror Bar Height"] = "Hauteur de la barre mirroir",
			["Mirror Name Text"] = "Nom de la barre mirroir",
			["Mirror Time Text"] = "Durée de la barre mirroir",
			["Hide Blizz Mirror Bars"] = "Masquer la barre mirroir Blizzard",
			["%s Color"] = "Couleur : %s",
			["Breath"] = "Souffle",
			["Exhaustion"] = "Fatigue",
			["Feign Death"] = "Feindre la mort",
			["Show Mirror"] = "Afficher la barre mirroir",
			["Show Static"] = "Afficher statique",
			["Show PvP"] = "Afficher JcJ",
			--Timer
--			["Stop Timer"] = true,
--			["Make Timer"] = true,
--			["New Timer Name"] = true,
--			["New Timer Length"] = true,
			--Swing
--			["Duration Text"] = true,
--			["Remaining Text"] = true,
			--Interrupt
--			["Interrupt Color"] = true,
			--Range
--			["Out of Range Color"] = true,
			--Flight
--			["Flight Map Color"] = true,
			
		-- Option descriptions
		
		["Toggle Cast Bar lock"] = "Verrouille/déverrouille la barre d'incantation",
		["Hide Spell Cast Icon"] = "Masque l'icône du sort",
		["Set the Spell Cast icon alpha"] = "Règle la transparence de l'icône du sort",
		["Set where the Spell Cast icon appears"] = "Choisit l'endroit d'affichage de l'icône du sort",
		["Space between the cast bar and the icon."] = "Espace entre la barre d'incantation et l'icône.",
		["Set the Cast Bar Texture"] = "Choisit la texture de la barre d'incantation",
		["Set the font used in the Name and Time texts"] = "Choisit la police utilisée pour le nom et la durée du sort",
		["Set the alignment of the spell name text"] = "Règle l'alignement du nom du sort",
		["Set the size of the spell name text"] = "Règle la taille du nom du sort",
		["Disable the text that displays the time remaining on your cast"] = "Active/désactive le texte qui affiche la durée restante d'incantation",
		["Disable the text that displays the spell name/rank"] = "Active/désactive le texte qui affiche le nom et le rang du sort",
		["Display the rank of spellcasts alongside their name"] = "Affiche le rang des sorts en plus de leur nom",
		["Set the display style of the spell rank"] = "Règle le style d'affichage du rang du sort",
		["Set the size of the time text"] = "Règle la taille du texte de la durée",
		["Set the alignment of the time text"] = "Règle l'alignement du texte de la durée",
		["Set the border style"] = "Choisit le style de la bordure",
		["Set the color of the %s"] = "Choisir la couleur de %s",
		["Set the color of the cast bar when %s"] = "Choisir la couleur de la barre d'incantation quand %s",
		["Set the color of the casting bar spark"] = "Choisit la couleur de l'étincelle",
		["Set the color of the casting bar background"] = "Choisit la couleur de fond de la barre d'incantation",
		["Set the alpha of the casting bar background"] = "Choisit la transparence du fond de la barre d'incantation",
		["Set the color of the casting bar border"] = "Choisit la couleur de la bordure de la barre d'incantation",
		["Set the alpha of the casting bar border"] = "Choisit la transparence de la bordure de la barre d'incantation",
		["Disable and hide the default UI's casting bar"] = "Désactive et cache la barre d'incantation de l'interface de base",
		["Move the CastBar to center of the screen along the specified axis"] = "Déplace la barre d'incantation au centre de l'écran selon l'axe spécifié",
		["Select a bar from which to copy settings"] = "Sélectionne une barre à partir de laquelle copier les réglages",
--		["Adjust the X position of the name text"] = true,
--		["Adjust the Y position of the name text"] = true,
--		["Adjust the X position of the time text"] = true,
--		["Adjust the Y position of the time text"] = true,
--		["Hide the icon for spells with no icon"] = true,
		
			--Latency
			["Include Latency time in the displayed cast bar."] = "Ajouter le temps de latence dans la barre d'incantation affichée",
			["Embed mode will decrease it's lag estimates by this amount.  Ideally, set it to the difference between your highest and lowest ping amounts.  (ie, if your ping varies from 200ms to 400ms, set it to 0.2)"] = "Le mode intégré réduit l'estimation de latence par cette valeur. Idéalement, il faut la régler comme la différence entre votre latence la plus élevée et la plus basse, (par exemple, si votre latence varie entre 200ms et 400ms, réglez là à 0.2)",
			["Latency Bar"] = "Barre de latence",
			["Set the alpha of the latency bar"] = "Règle la transparence de la barre de latence",
			["Display the latency time as a number on the latency bar"] = "Affiche le temps de latence comme un nombre sur la barre de latence",
			["Set the font used for the latency text"] = "Règle la police utilisée pour le texte de la latence",
			["Set the size of the latency text"] = "Règle la taille du texte de latence",
			["Set the color of the latency text"] = "Choisit la couleur du texte de latence",
			["Set the position of the latency text"] = "Choisit la position du texte de latence",
--			["Set the vertical position of the latency text"] = true,
			--GCD
			["%s spell to check for the Global Cooldown"] = "Sort %s à vérifier pour le Temps de Recharge Global",
			["Set the color of the GCD bar spark"] = "Choisit la couleur de l'étincelle de la barre de TRG",
			["Set the height of the GCD bar"] = "Règle la hauteur de la barre de TRG",
			["Set the alpha of the GCD bar"] = "Règle la transparence de la barre de TRG",
			["Set the position of the GCD bar"] = "Règle la position de la barre de TRG",
			["Tweak the distance of the GCD bar from the cast bar"] = "Ajuste la distance entre la barre de TRG et la barre d'incantation",
			--Buffs
			["Show buffs/debuffs for your %s"] = "Afficher les buffs et débuffs pour votre %s",
			["Show buffs for your %s"] = "Afficher les buffs pour votre %s",
			["Show debuffs for your %s"] = "Afficher les débuffs pour votre %s",
			["Position the bars for your %s"] = "Position des barres pour votre %s",
			["Tweak the vertical position of the bars for your %s"] = "Ajuste la position verticales des barres pour votre %s",
			["Tweak the space between bars for your %s"] = "Ajuste l'espace entre les barres pour votre %s",
			["Tweak the horizontal position of the bars for your %s"] = "Ajuste la position horizontale des barres pour votre %s",
			["Show icons on buffs and debuffs for your %s"] = "Affiche les icones sur les buffs et débuffs pour votre %s",
			["Set the side of the buff bar that the icon appears on"] = "Choisit de quel côté de la barre de buffs l'icône doit apparaitre",
			["Set the buff bar Texture"] = "Choisir la texture de la barre des buffs",
			["Set the width of the buff bars"] = "Choisit la largeur de la barre de buffs",
			["Set the height of the buff bars"] = "Choisit la hauteur de la barre de buffs",
			["Display the names of buffs/debuffs on their bars"] = "Affiche les noms des buffs et débuffs sur leurs barres",
			["Display the time remaining on buffs/debuffs on their bars"] = "Affiche le temps restant des buffs/débuffs sur leurs barres",
			["Set the font used in the buff bars"] = "Choisit la police utilisée pour les barres de buffs",
			["Set the font size for the buff bars"] = "Choisit la taille de la police des barres de buffs",
			["Set the alpha of the buff bars"] = "Règle la transparence des barres de buffs",
			["Set the color of the bars for buffs"] = "Règle la couleur des barres de buffs",
			["Set the color of the bars for debuffs"] = "Règle la couleur des barres de débuffs",
			["Set the color of the text for the buff bars"] = "Règle la couleur du texte des barres de buffs",
			["Color debuff bars according to their dispel type"] = "Colorer les barres de débuffs selon leur type",
			["Set the color of the bars for undispellable debuffs"] = "Règle la couleur des barres pour les débuffs indisipables",
			["Set the color of the bars for curses"] = "Règle la couleur des barres pour les malédictions",
			["Set the color of the bars for diseases"] = "Règle la couleur des barres pour les maladies",
			["Set the color of the bars for magic"] = "Règle la couleur des barres pour les magies",
			["Set the color of the bars for poisons"] = "Règle la couleur des barres pour les poisons",
			["Select where to anchor the %s bars"] = "Sélectionne ou ancrer les barres %s",
			["Toggle %s bar lock"] = "Active/désactive le verrouillage de la barre %s",
			["Set the grow direction of the %s bars"] = "Choisit la direction d'agrandissement des barres %s",
			--Mirror
			["Position the mirror bars"] = "Positionne les barres mirroir",
			["Tweak the vertical position of the mirror bars"] = "Ajuste la position verticales des barres mirroir",
			["Tweak the space between mirror bars"] = "Ajuste l'espace entre les barres mirroir",
			["Tweak the horizontal position of the mirror bars"] = "Ajuste la position horizontale des barres mirroir",
			["Show icons on mirror bars"] = "Affiche les icônes sur les barres mirroir",
			["Set the side of the mirror bar that the icon appears on"] = "Choisit le côté de la barre mirroir sur lequel l'icône apparait",
			["Set the mirror bar Texture"] = "Choisit la texture des barres mirroir",
			["Set the width of the mirror bars"] = "Règle la largeur des barres mirroir",
			["Set the height of the mirror bars"] = "Règle la hauteur des barres mirroir",
			["Display the names of Mirror Bar Types on their bars"] = "Affiche le nom des types des barres mirroir sur les barres",
			["Display the time remaining on mirror bars"] = "Affiche le temps restant sur les barres mirroir",
			["Set the font used in the mirror bars"] = "Choisit la police utilisée pour les barres mirroir",
			["Set the color of the text for the mirror bars"] = "Choisit la couleur utilisée pour le texte des barres mirroir",
			["Set the font size for the mirror bars"] = "Choisit la taille de la police des barres mirroir",
			["Set the alpha of the mirror bars"] = "Règle la transparence des barres mirroir",
			["Hide Blizzard's mirror bars"] = "Masque la barre mirroir de l'interface par défaut",
			["Set the color of the bars for %s"] = "Choisit la couleur des barres pour %s",
			["Show mirror bars such as breath and feign death"] = "Affiche les barres mirroir comme Souffle et Feindre la Mort",
			["Show bars for static popup items such as rez and summon timers"] = "Affiche les barres mirroir pour les fenêtes comme résurection ou téléportation",
			["Show bar for start of arena and battleground games"] = "Affiche la barre pour le début des parties de champs de bataille ou d'arènes",
			["Select where to anchor the mirror bars"] = "Sélectionne ou ancrer les barres mirroir",
			["Toggle mirror bar lock"] = "Verrouille/Deverrouille les barres mirroir",
			["Set the grow direction of the mirror bars"] = "Choisit la direction d'agrandissement des barres mirroir",
			--Timer
--			["Make a new timer using the above settings.  NOTE: it may be easier for you to simply use the command line to make timers, /qt"] = true,
--			["Select a timer to stop"] = true,
--			["Set a name for the new timer"] = true,
--			["Length of the new timer, in seconds"] = true,
			--Swing
--			["Set the color of the swing timer bar"] = true,
--			["Set the height of the swing timer bar"] = true,
--			["Set the alpha of the swing timer bar"] = true,
--			["Set the position of the swing timer bar"] = true,
--			["Tweak the distance of the swing timer bar from the cast bar"] = true,
--			["Toggle display of text showing your total swing time"] = true,
--			["Toggle display of text showing the time remaining until you can swing again"] = true,
			--Interrupt
--			["Set the color the cast bar is changed to when you have a spell interrupted"] = true,
			--Range
--			["Set the color to turn the cast bar when the target is out of range"] = true,
			--Flight
--			["Set the color to turn the cast bar when taking a flight path"] = true,
			
		-- Other crap
		["Rank (%d+)"] = "Rang (%d+)",
		["Rank %s"] = "Rang %s",
			--Latency
			["%dms"] = "%dms",
			--GCD
			["<Spell Name>"] = "<Nom du sort>",
			["Invalid Spell"] = "Sort invalide",
--			["Spell_Warning"] = "|cffff3333Warning: You have no spell chosen for Quartz's Global Cooldown module.  Please enter a spell name in the menu (/quartz, then click Global Cooldown). Note, it is recommended to use a spell that cannot have a cooldown other than the global cooldown and cannot be interrupted, such as Find Herbs",
			["Spell_Warning"] = "|cffff3333Attention : Vous n'avez pas de sort choisi pour le module du Temps de Recharge Global de Quartz. Veuillez entrer le nom d'un sort dans le menu (/quartz, puis cliquer sur Temps de Recharge Global). A noter : il est conseillé d'utiliser un sort qui ne peut pas avoir de temps de recharge autre que le global, et qui ne peut pas être interrompu, comme Recherche d'herbes",
			--Buffs
			["%dm"] = "%dm",
			--Mirror
			["Logout"] = "Déconnexion",
			["Release"] = "Libérer",
			["Logout"] = "Déconnexion",
			["Forfeit Duel"] = "Annuler le duel",
			["Instance Boot"] = "Démarrage d'instance",
			["Summon"] = "Invocation",
			["AOE Rez"] = "AOE Rez",
			["Quit"] = "Quitter",
			["Resurrect"] = "Résurection",
			["Party Invite"] = "Invitation dans un groupe",
			["Resurrect Timer"] = "Temps résurection",
			["Duel Request"] = "Demande de duel",
			["Game Start"] = "Démarrage de la partie",
			["1 minute"] = "1 minute",
			["One minute until"] = "Une minute avant",
			["30 seconds"] = "30 secondes",
			["Thirty seconds until"] = "Trente secondes avant",
			["15 seconds"] = "15 secondes",
			["Fifteen seconds until"] = "Quinze secondes avant",
			--Timer
--			['Usage: /quartztimer timername 60 or /quartztimer 60 timername'] = true,
--			["Timers module currently disabled, re-enable it in the menu"] = true,
--			["<Time in seconds>"] = true,
			--Swing
			--Interrupt
--			["INTERRUPTED (%s)"] = true,
			--Range
			--Flight
	}
end)
